% Zlodziej
%    * zlap kulkę gdy znajdzie się z odpowiedniej odleglości od szczęk
%    * cofnij
%    * wykonaj zwrot np. o 180 stopni
%    * jedź tak dlugo az ktoś krzyknie: 'Stać, policja!' ;)

% Type: start.

:- consult('../plnxt').

%jesli przeszkoda stoi od razu - do przodu, do tylu
sprzataj2 :-
	nxt_open,
	nxt_ultrasonic(Value,force),
	Value < 30,
	write(Value),
	nxt_go_cm(400,10),
	nxt_go_cm(-400,10).

%%%%%%%%%%
check_ultrasonic3 :-
	nxt_ultrasonic(Value,force),
	Value < 25,
	write(Value).

ruch3 :-
	% otwiera ramiona i jedzie do przodu, natomianst nie jedzie do tylu
	nxt_pincer(open),
	nxt_go_cm(-400,10),
	nxt_go_cm(400,10).

ultrasonic3 :-	
	%po wykomentowaniu nxt_stop jedzie do przodu i do tylu ale pod koniec obrotu	
	nxt_stop,	
	%nxt_go(0,force), - dziala tak samo, czyli po wykomentowaniu nxt_stop jedzie do przodu i do tylu ale pod koniec obrotu	
	%nxt_rotate(0,0,force), - zawiesza robota

	%trigger_killall,
	%Warning: [Thread 2] Thread running "trigger_start_noreturn(main, check_ultrasonic, ultrasonic)" died on exception: Arithmetic: `angle/1' is not a function
	ruch3.

sprzataj3 :-
	nxt_open,
	trigger_create(_,check_ultrasonic3,ultrasonic3),
	nxt_rotate(400,360).

%%%

sprzataj :-	
	nxt_ultrasonic(Value,force),
	Value < 30,
	write(Value),
	nxt_pincer(open),
	nxt_go_cm(400,20),
	nxt_go_cm(-400,20),
	nxt_pincer(close).

sprzataj.

obrot(0).

obrot(X) :-
	nxt_rotate(400,10),
	X > 0,
	Y is X - 10,
	sprzataj,
	obrot(Y).

start :-	
	nxt_open,
	obrot(360).
	
